Skip to content

Withdraw Result Notification

  • Endpoint: POST /withdrawResultNotifyUrl
  • Tags: Fund Account(New)

Description

You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. You need to respond with {"msg": "Success","code": "SUCCESS"} upon receiving the callback. For API-initiated withdrawal transaction only.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
codestringYes
dataobjectYes
data.outTradeNostringYesMerchant order id
data.tradeNostringYesPlatform order number
data.statusstringYesPROCESSING: Processing SUCCESS: Success FAILED: Failed
data.transactionCurrencystringYesTransaction currency
data.transactionAmountstringYesTransaction amount
data.targetCurrencystringYesTarget currency
data.targetAmountstringYesTarget amount
data.ratestringYesExchange rate
data.rateTimestringYesExchange rate time
data.remarkstringYesRemark
data.callBackUrlstringYesCallback URL when the order reaches terminal state
data.payerFundsAccountNostringYesPayer funds account number
data.payeeBankAccountNostringYesBeneficiary bank account number
data.feeobjectYes
data.fee.serviceFeeAmountstringYesService fee amount
data.fee.serviceFeeCurrencystringYesService fee currency
data.memberIdstringYesMember Id
keyVersionstringYesCurrent value: 1
msgstringYesValid notification description:Success.
notifyTimestringYesNotification time, in line with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
notifyTypestringYesWITHDRAW
versionstringYesCurrent value:1.0
requestTimestringYescompliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
memberIdstringYesthe unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "code": "APPLY_SUCCESS",
  "data": {
    "callBackUrl": "http://xxxxx//yyyy",
    "fee": {
      "serviceFeeAmount": "20.00",
      "serviceFeeCurrency": "USD"
    },
    "memberId": "20250619P01B00000075000002",
    "outTradeNo": "20251206114448NU3693260005000973T05",
    "payeeBankAccountNo": "456789213",
    "payerFundsAccountNo": "P25101038984",
    "rate": "0.12794746",
    "rateTime": "2025-12-06T02:16:54.906Z",
    "remark": "this is a remark",
    "status": "SUCCESS",
    "targetAmount": "60491.02",
    "targetCurrency": "USD",
    "tradeNo": "20251206021056NU2522925908000536T05",
    "transactionAmount": "1000.00",
    "transactionCurrency": "HKD"
  },
  "keyVersion": "1",
  "msg": "Success",
  "notifyTime": "2025-12-07T12:55:48.034Z",
  "notifyType": "WITHDRAW",
  "version": "1.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes
codestringYes

Response Example

json
{
  "msg": "Success",
  "code": "SUCCESS"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.